/*****************************************************************
UART.h   
   
Definicje przygotowujce do pracy transmisj szeregow.
*****************************************************************/
#ifndef _UART_H
#define _UART_H

#define UART 0                              // <<<<<<< 0,1 zmieni
                            // UART 0  ten sam kana co BOOTLOADER
#if UART   //=====================================================
// -------------------------                  inicjalizacja UART1:
inline void UART_ini (void)  {
               PINSEL0 = 0x00050000;     //  Enable RxD1 and TxD1
               U1LCR = 0x83;             //              8N1     
               U1DLL = 24;               //            38400 Baud
               U1LCR = 0x03;      
}
 
#else     //======================================================
//-------------------------                   inicjalizacja UART0:
inline void UART_ini (void)  {
               PINSEL0 = 0x00000005;      // Enable RxD1 and TxD1,
               U0LCR = 0x83;              //                   8N1
               U0DLL = 24;                //            38400 Baud
               U0LCR = 0x03;    
}

#endif    //======================================================

#define UART_init  UART_ini()
#endif   // _UART_H_ 
