/**********************************************************************
FAST_led.c                                         (mruganie diody LED)
                                                                       
Program powoduje mruganie diody LED podczonej do P1.16. W programie
wykorzystano tryb szybkiego dostpu FAST do ukadw wejcia-wyjcia  
GPIO.
**********************************************************************/
#include <LPC214x.H>       //zbir definiujcy rejestry mikrokontrolera

#define FIO1DIR2             (*((volatile unsigned char *) 0x3FFFC022))
#define FIO1SET2             (*((volatile unsigned char *) 0x3FFFC03A))
#define FIO1CLR2             (*((volatile unsigned char *) 0x3FFFC03E))

#define NBit_LED 0                      // dioda LED sterowana bitem 16
                              //... Jest to bit 0 w grupie diod numer 2
#define LED_init FIO1DIR2 = 1 << NBit_LED            // bit jako OUTPUT
#define LED_clr  FIO1CLR2 = 1 << NBit_LED          // wyzeruj diod LED
#define LED_set  FIO1SET2 = 1 << NBit_LED            // wcz diod LED

//---------------------------------------------------------------------
int main (void) {
 SCS =0x2;
 LED_init;                          // port P1.16 ustawiony jako OUTPUT
 while(1){                                         //nieskoczona ptla
    LED_clr;                       //zapalenie diody podpitej do P1.16
    LED_set;                       //zgaszenie diody podpitej do P1.16
 }
}
