/**********************************************************************
printf_LCD.c              (stany licznika binarnego wywietlane na LCD)

Program symuluje dziaanie 5-bitowego licznika binarnego. 
Ekspozycja stanw licznika odbywa si na diodach LED doczonych
do portu P1. Dodatkowo stany licznika wywietlane s na wywietlaczu
LCD w postaci heksadecymalnej.
**********************************************************************/
#include <LPC214x.H>            // zbir definiujcy rejestry procesora

#include <stdio.h>                   // tu zdefiniowano prototyp printf         
#include "LCD4bit.h"                          // definicje procedur LCD
//#include "LCD4bit.c"               // obsuga wywietlacza 4-bitowego

main(void) {
  unsigned i;
  char P1=0;
  IO1DIR = 0x001F0000;          // P1.16..23 pracuj jako wyjcia (LED)

  LCD_init;                             // inicjowanie wywietlacza LCD                 

  while (1) {
    P1=(P1+1) & 0x1f;                // zwikszanie zawartoci portu P1        
    IO1SET = P1<<16;                    //wywietl wynik na diodach LED
    IO1CLR =((~P1)& 0x1f)<<16;

    for(i=0;i<0x1fffff;i++){};                     // opnienie czasowe                     
    printf("Zawarto P1= %02X\r",P1);   // pisanie na wywietlaczu LCD
    //	printf("To jest to\r");                           //...wyprbuj
  }
}
