/*******************************************************************
UART.c                        (prosta obsuga transmisji szeregowej)

Na terminalu transmisji szeregowej pojawia si napis "Jak si masz
Nacinij cos...". Program czeka na nacinicie dowolnego
klawisza na klawiaturze komputera. Nacinity znak pojawia si na 
terminalu.
Program transmituje i odbiera znaki z parametrami:
               szybko 38400 bps, 
               8-N-1 (8-bitw, N- bez parzystoci, 1 bit stopu).
Wyniki dziaania s widoczne na terminalu transmisji szeregowej.
Wywoaj program typu HYPERTERMINAL (lub lepszy).
Program wysya dane poprzez kana transmisji UART0 lub UART1 w
zalenoci od parametru UART 0/1 w zbiorze UART.h  .
*******************************************************************/

#include <LPC214x.H>        // zbir definiujcy rejestry procesora
#include <stdio.h>          // definicje procedur wejcia - wyjcia
#include "UART.h"        // zbir makrodefinicji przygotowania UART
                                                 //... do dziaania

//-----------------------------------------------------------------
int main(void) {  
 char t[]="\r Jak sie masz !\r";  
 char i,c;
 float f;
 UART_init;                      // 38400BPS (8-N-1) dla PCLK=30MHz
                     //... uyty jest Timer1 do generacji szybkoci
 while(1) {
    for (i=0;t[i];i++) putchar(t[i]);     // napis "Jak si masz !"
    puts(" Nacisnij cos...\r ");                                   
    c=getkey();                                 // czekanie na znak
    sendchar(c);           // odebrany znak pojawi si na terminalu
    printf("\r Odebrany znak ASCII: %c (HEX:%02x DEC:%03u)",c,c,c);

	printf("\r Podaj liczbe float: ");
	scanf("%g",&f);
	printf("\r liczba= %g\r ",f);
 }                       
}
