/***********************************************************************
Try_mtime.c                    (testowanie moduu mtime z systemu LINUX)

Program zegara odmierzajcego czas liczony w sekundach. Jest to czas
uniwersalny liczony od 01/01/1970 roku. Dla jego przechowywania 
wystarczaj tylko 4-bajty (WORD32). Czas ten jednoznacznie wyznacza
dzie, miesic, rok oraz godziny, minuty i sekundy, a take dzie 
tygodnia. Program w przedstawionej wersji co sekund zwiksza czas
o jeden cay dzie plus 1 sekunda. Daje to moliwo udowodnienia 
poprawnoci dziaania wszystkich procedur zegara i kalendarza.

Program transmituje znaki przez zcze SIO parametrami:9600 bps (8-N-1). 
Program wymaga modelu LARGE podczas kompilacji.
***********************************************************************/
#include <LPC214x.H>   
#include <stdio.H>
#include "inttypes.h"                  // tu zdefiniowano BYTE, WORD i DWORD
#include "uart.h"
#include "mtime.h"

DWORD Sec_since1970;   // tu zliczane s sekundy zaczynajc od 1/01/1970
tm  Tim;                          // struktura przechowujca Dat i Czas


//----------------------------------------------------------------------
void main(void) { 
      char s_time[40];
	  DWORD i;       
      UART_init;                                   // przygotowanie SIO
      printf("\nLINUX TIME test:");
     
      Tim.tm_year=06 +100;
      Tim.tm_month=(1 )-1;                      // miesic liczony jest od 0
      Tim.tm_dom=27;  
      Tim.tm_hour=23;
      Tim.tm_min=59;
      Tim.tm_sec=59;     
      Sec_since1970=DateTimeToSec( &Tim );  
      printf("\n%ld ==\n",Sec_since1970 );       // pocztkowe ustawienie
 

      while (1){                           // drukowanie wynikw co 1sek.
          for( i=0;i<0xfffff;i++ );  
		 // Sec_since1970 ++;                         // zwiksz liczb sek.
                              // zwiksz liczb sek. o cay dzie +1sek.
         Sec_since1970 += 60*60*24L +1;       // ... dla testowania programu
         SecToDateTime(Sec_since1970,&Tim); // zamiana sek.-> Dat i Czas
         DateTimeToStr(&Tim,s_time);    // zamiana Daty i Czasu na ASCII
         printf("\r %s",s_time);             // drukowanie stringu ASCII
                
     }
}

