/*--------------------------------------------------------------------
RTL.h                (prototypy procedur obsugi kontrolera RTL8019AS)

Prototypy funkcji obsugi transmisji ramek Ethernet. W charakterze 
przykadu wybrano zapytanie i odpowied ARP. Procedury mona 
przystosowa do nadawania i odbioru dowolnych ramek Ethernet. Odbir
jest ograniczony do ramek nie przekraczajcych 256 bajtw.
--------------------------------------------------------------------*/
#ifndef _RTL_H_
#define _RTL_H_

BYTE NicReset(void);     // reset RTL powid si gdy odpowied jest 0
BYTE NICInit(void);                        // przygotowanie ukadu RTL
BYTE NICReceive(WORD len, BYTE *frame);            // odbir ramki ARP
void NICSend(BYTE cnt);             // wysanie ramki ARP ; cnt=0...15

#endif  //---------------------------------------------------- _RTL_H_