/**********************************************************************
pulse_1s.c                               (timer generuje impulsy 1sek.)
                                      
Program wykorzystujc TIMER1 w trybie match, miga w odstpach 
1 sekundowych podczon do wyjcia MAT1.0 (P0.12) diod LED. Dokadnie
mwic przez czas 1sek. dioda LED wieci i przez 1sek. jest zgaszona.
**********************************************************************/
#include <LPC214x.H>            // zbir definiujcy rejestry procesora

main(void) {

  PINSEL0 = PINSEL0 | (1<<25);                      //MAT1.0 -->  P0.12
  T1TCR   = 0x00000002;              // zerowanie licznika i preskalera
                                      //...do momentu zdjcia tego bitu
  T1MR0   = 15000000;                                 // MR0 = 15000000
  T1MCR   = 0x00000002;               // zerowanie licznika gdy TC==MR0
  T1EMR   = 0x00000031;               // zmiana stanu na wyjciu MAT1.0
  T1TCR   = 0x00000001;                             // wczenie TIMER1

  PCON    = 0x00000001;                        // przejcie w tryb idle
}
