/***************************************************************************
try_circ.c                  (test dziaania buforw koowych dla ukadu SIO)

Na terminalu transmisji szeregowej pojawia si napis "CIRULAR BUFFERS TEST".
Program czeka na wprowadzenie dowolnej liczby 16-bitowej typu integer co
oznacza liczb dodatni lub ujemn. Podczas wprowadzania liczby mona uy
klawisza BACKSPACE aby korygowa wprowadzan liczb. Po naciniciu znaku
ENTER na terminalu transmisji szeregowej pojawia si wprowadzona liczba w
standardzie heksadecymalnym. Program transmituje i odbiera znaki z
parametrami:  szybko 38400 bps (8-N-1).
***************************************************************************/
#include <LPC214x.H> 
#include <stdio.h>
#include "sio_intr.h" 
#include "inttypes.h"                  // tu zdefiniowano BYTE, WORD i DWORD

#define CharNo     40
char line[CharNo];                                     // bufor linii tekstu
void getline (char *line, BYTE n);
void UART_init (void);
//--------------------------------------------------------------------------
main(void) { 
     int i;     
     UART_init();                   // przygotowanie ukadu SIO do dziaania
     printf("\n\r CIRULAR BUFFERS TEST \n\r");
      while(1)  {
       //sendchar(_getkey());                   // pobrane znaki s drukowane
       getline(line, CharNo);              // pobranie linii tekstu z edycj
       sscanf(line,"%d",&i);                   // interpretacja linii tekstu
       printf("\n\r i= %d dec (%Xhex) HEX\n\r",i,i);    // drukowanie liczby
     }
}

// pobranie linii tekstu z edycj znakw -----------------------------------
// ten podprogram nie zaley od dziaania buforw koowych -----------------
void getline (char *line, BYTE n)  {
  BYTE cnt = 0;
  char c;

  do  {
    if ((c = getkey()) == '\r')  c = '\n';                // pobranie znaku
    if (c == '\b'  )  {                      // obsuga znaku Bakspace(0x08)
      if (cnt != 0)  {
        cnt--;                               // zmniejszenie licznika znakw
        line--;                    // zmniejszenie wskanika biecego znaku
        sendchar ('\b');                     // wyprowadzenie znaku Backspace
        sendchar (' ');
        sendchar ('\b');
      }
    }
    else  {
      sendchar (*line = c);             // echo znaku i zapis znaku w buforze
      line++;                        // zwikszenie wskanika znakw w linii
      cnt++;                                  // zwikszenie licznika znakw
    }
  }  while (cnt < n-1  &&  c != '\n');          // sprawdzenie limitu znakw
  *line = 0;                     // znak 0 (NULL) jest ogranicznikiem znakw
}
